#
# $HOSTNAME$ will be replace with hostname being checked
# $RRD_FILENAME$ will be replace with real rrd filename
#

# Title
-t "$HOSTNAME$ - ICMP RTA" 

# Vertical label
-v "Time in ms" 

#
# Height and Width
--height="120" 
--width="440" 

--slope-mode
#
# Define canvas and frame colors
--color=BACK#00000F 
--color=SHADEA#000000 
--color=SHADEB#000000 
--color=FONT#F7F7F7 
--color=CANVAS#2E2E2E
--color=GRID#7F7F7F 
--color=MGRID#B8B8B8 
--color=FRAME#2E2E2E 
--color=ARROW#FFFFFF 
#
# define atleast one DEF
"DEF:icmp_rta=$RRD_FILENAME$:rta:AVERAGE" 
"DEF:icmp_pl=$RRD_FILENAME$:pl:AVERAGE" 
"CDEF:icmp_pl_neg=icmp_pl,-1,*"
"GPRINT:icmp_rta:LAST:Current\: %5.2lf ms" 
"GPRINT:icmp_rta:MIN:Min\: %5.2lf ms" 
"GPRINT:icmp_rta:MAX:Max\: %5.2lf ms" 
"GPRINT:icmp_rta:AVERAGE:Avg\: %5.2lf ms\n" 
"GPRINT:icmp_pl:LAST:Current\: %5.2lf ms" 
"GPRINT:icmp_pl:MIN:Min\: %5.2lf ms" 
"GPRINT:icmp_pl:MAX:Max\: %5.2lf ms" 
"GPRINT:icmp_pl:AVERAGE:Avg\: %5.2lf ms\n" 

# 
# Define CDEF with grading colors, order is top down
#
"CDEF:g_color2=icmp_rta,0.98,*" 
"AREA:g_color2#00FF00:Round Trip Average Time" 
"CDEF:g_color10=icmp_rta,0.90,*" 
"AREA:g_color10#00FF00" 
"CDEF:g_color15=icmp_rta,0.85,*" 
"AREA:g_color15#00F200" 
"CDEF:g_color20=icmp_rta,0.80,*" 
"AREA:g_color20#00E500" 
"CDEF:g_color25=icmp_rta,0.75,*" 
"AREA:g_color25#00D900" 
"CDEF:g_color30=icmp_rta,0.70,*" 
"AREA:g_color30#00CC00" 
"CDEF:g_color35=icmp_rta,0.65,*" 
"AREA:g_color35#00BF00" 
"CDEF:g_color40=icmp_rta,0.60,*" 
"AREA:g_color40#00B200" 
"CDEF:g_color45=icmp_rta,0.55,*" 
"AREA:g_color45#00A600" 
"CDEF:g_color50=icmp_rta,0.50,*" 
"AREA:g_color50#009900" 
"CDEF:g_color55=icmp_rta,0.45,*" 
"AREA:g_color55#008C00" 
"CDEF:g_color60=icmp_rta,0.40,*" 
"AREA:g_color60#007F00" 
"CDEF:g_color65=icmp_rta,0.35,*" 
"AREA:g_color65#007300" 
"CDEF:g_color70=icmp_rta,0.30,*" 
"AREA:g_color70#006600" 
"CDEF:g_color75=icmp_rta,0.25,*" 
"AREA:g_color75#005900" 
"CDEF:g_color80=icmp_rta,0.20,*" 
"AREA:g_color80#004C00" 
"CDEF:g_color85=icmp_rta,0.15,*" 
"AREA:g_color85#004000"
#
# Negated packet loss
"CDEF:g_pl_color2=icmp_pl_neg,0.98,*" 
"AREA:g_pl_color2#FF0000:Percent Packet Loss"
"CDEF:g_pl_color10=icmp_pl_neg,0.90,*" 
"AREA:g_pl_color10#FF0000"
"CDEF:g_pl_color15=icmp_pl_neg,0.85,*" 
"AREA:g_pl_color15#F20000"
"CDEF:g_pl_color20=icmp_pl_neg,0.80,*" 
"AREA:g_pl_color20#E50000"
"CDEF:g_pl_color25=icmp_pl_neg,0.75,*" 
"AREA:g_pl_color25#D90000"
"CDEF:g_pl_color30=icmp_pl_neg,0.70,*" 
"AREA:g_pl_color30#CC0000"
"CDEF:g_pl_color35=icmp_pl_neg,0.65,*" 
"AREA:g_pl_color35#BF0000"
"CDEF:g_pl_color40=icmp_pl_neg,0.60,*" 
"AREA:g_pl_color40#B20000"
"CDEF:g_pl_color45=icmp_pl_neg,0.55,*" 
"AREA:g_pl_color45#A60000"
"CDEF:g_pl_color50=icmp_pl_neg,0.50,*" 
"AREA:g_pl_color50#990000"
"CDEF:g_pl_color55=icmp_pl_neg,0.45,*" 
"AREA:g_pl_color55#8C0000"
"CDEF:g_pl_color60=icmp_pl_neg,0.40,*" 
"AREA:g_pl_color60#7F0000"
"CDEF:g_pl_color65=icmp_pl_neg,0.35,*" 
"AREA:g_pl_color65#730000"
"CDEF:g_pl_color70=icmp_pl_neg,0.30,*" 
"AREA:g_pl_color70#660000"
"CDEF:g_pl_color75=icmp_pl_neg,0.25,*" 
"AREA:g_pl_color75#590000"
"CDEF:g_pl_color80=icmp_pl_neg,0.20,*" 
"AREA:g_pl_color80#4C0000"
"CDEF:g_pl_color85=icmp_pl_neg,0.15,*" 
"AREA:g_pl_color85#400000"
